import request from '@/utils/request'

export function listWarehouse(query) {
  return request({
    url: '/warehouse-info/page',
    method: 'get',
    params: query
  })
}

export function warehouseList(query) {
  return request({
    url: '/warehouse-info/list',
    method: 'get',
    params: query
  })
}

export function createWarehouse(data) {
  return request({
    url: '/warehouse-info/add',
    method: 'post',
    data
  })
}

export function readWarehouse(data) {
  return request({
    url: '/warehouse-info/info',
    method: 'get',
    data
  })
}

export function updateWarehouse(data) {
  return request({
    url: '/warehouse-info/edit',
    method: 'post',
    data
  })
}

export function deleteWarehouse(query) {
  return request({
    url: '/warehouse-info/remove',
    method: 'post',
    params: query
  })
}
